@import "~bootstrap/scss/bootstrap";
@import '@trello-app/_setting.scss';

.app-container {
  height: 100vh;
  overflow: hidden;
  background-color: $board-bg-color;
  color: $app-main-text-color;
  
  .icon {
    font-size: 14px;
    margin: 0 5px;
  }

  .bootstrap-container {
    margin: 0 15px;
    padding: 0;
  }

  textarea:focus, 
  textarea.form-control:focus, 
  input.form-control:focus, 
  input[type=text]:focus, 
  input[type=password]:focus, 
  input[type=email]:focus, 
  input[type=number]:focus, 
  [type=text].form-control:focus, 
  [type=password].form-control:focus, 
  [type=email].form-control:focus, 
  [type=tel].form-control:focus, 
  [contenteditable].form-control:focus {
    box-shadow: none;
      border: 1px solid $input-border-color;
  }

  .btn:focus, .btn:active {
    outline: none !important;
    box-shadow: none !important;
  }

  .trello-content-editable {
    background-color: inherit;
    border: none;
    font-size: inherit;
    font-weight: inherit;
    cursor: pointer;

    &:focus {
      background-color: white;
    }
  }

  span.cancel-icon {
    margin-left: $gap-10;
    cursor: pointer;

    i {
      font-size: 20px;
      color: $alert-danger;

      &:hover {
        color: darken($alert-danger, 10);
      }
    }
  }
}
